# e-xml-utils

## Name

e-xml-utils --

## Synopsis

    xmlNode*    e_xml_get_child_by_name         (const xmlNode *parent,
                                                 const xmlChar *child_name);
    xmlNode*    e_xml_get_child_by_name_by_lang (const xmlNode *parent,
                                                 const xmlChar *child_name,
                                                 const char *lang);
    int         e_xml_get_integer_prop_by_name  (const xmlNode *parent,
                                                 const xmlChar *prop_name);
    void        e_xml_set_integer_prop_by_name  (xmlNode *parent,
                                                 const xmlChar *prop_name,
                                                 int value);
    gboolean    e_xml_get_bool_prop_by_name     (const xmlNode *parent,
                                                 const xmlChar *prop_name);
    void        e_xml_set_bool_prop_by_name     (xmlNode *parent,
                                                 const xmlChar *prop_name,
                                                 gboolean value);
    double      e_xml_get_double_prop_by_name   (const xmlNode *parent,
                                                 const xmlChar *prop_name);
    void        e_xml_set_double_prop_by_name   (xmlNode *parent,
                                                 const xmlChar *prop_name,
                                                 double value);
    char*       e_xml_get_string_prop_by_name   (const xmlNode *parent,
                                                 const xmlChar *prop_name);
    void        e_xml_set_string_prop_by_name   (xmlNode *parent,
                                                 const xmlChar *prop_name,
                                                 char *value);
    char*       e_xml_get_translated_string_prop_by_name
                                                (const xmlNode *parent,
                                                 const xmlChar *prop_name);

## Description

## Details

### e_xml_get_child_by_name ()

    xmlNode*    e_xml_get_child_by_name         (const xmlNode *parent,
                                                 const xmlChar *child_name);

`parent` : |
`child_name` : |
Returns : |

### e_xml_get_child_by_name_by_lang ()

    xmlNode*    e_xml_get_child_by_name_by_lang (const xmlNode *parent,
                                                 const xmlChar *child_name,
                                                 const char *lang);

`parent` : |
`child_name` : |
`lang` : |
Returns : |

### e_xml_get_integer_prop_by_name ()

    int         e_xml_get_integer_prop_by_name  (const xmlNode *parent,
                                                 const xmlChar *prop_name);

`parent` : |
`prop_name` : |
Returns : |

### e_xml_set_integer_prop_by_name ()

    void        e_xml_set_integer_prop_by_name  (xmlNode *parent,
                                                 const xmlChar *prop_name,
                                                 int value);

`parent` : |
`prop_name` : |
`value` : |

### e_xml_get_bool_prop_by_name ()

    gboolean    e_xml_get_bool_prop_by_name     (const xmlNode *parent,
                                                 const xmlChar *prop_name);

`parent` : |
`prop_name` : |
Returns : |

### e_xml_set_bool_prop_by_name ()

    void        e_xml_set_bool_prop_by_name     (xmlNode *parent,
                                                 const xmlChar *prop_name,
                                                 gboolean value);

`parent` : |
`prop_name` : |
`value` : |

### e_xml_get_double_prop_by_name ()

    double      e_xml_get_double_prop_by_name   (const xmlNode *parent,
                                                 const xmlChar *prop_name);

`parent` : |
`prop_name` : |
Returns : |

### e_xml_set_double_prop_by_name ()

    void        e_xml_set_double_prop_by_name   (xmlNode *parent,
                                                 const xmlChar *prop_name,
                                                 double value);

`parent` : |
`prop_name` : |
`value` : |

### e_xml_get_string_prop_by_name ()

    char*       e_xml_get_string_prop_by_name   (const xmlNode *parent,
                                                 const xmlChar *prop_name);

`parent` : |
`prop_name` : |
Returns : |

### e_xml_set_string_prop_by_name ()

    void        e_xml_set_string_prop_by_name   (xmlNode *parent,
                                                 const xmlChar *prop_name,
                                                 char *value);

`parent` : |
`prop_name` : |
`value` : |

### e_xml_get_translated_string_prop_by_name ()

    char*       e_xml_get_translated_string_prop_by_name
                                                (const xmlNode *parent,
                                                 const xmlChar *prop_name);

`parent` : |
`prop_name` : |
Returns : |